package com.zhiLian.vehicle.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhiLian.vehicle.domain.MessageDetail;
import com.zhiLian.vehicle.domain.VehicleMessage;
import com.zhiLian.vehicle.domain.vo.VehicleMessageVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 报文详情Mapper接口
 *
 * @author chx
 * @date 2024-06-26
 */
public interface MessageDetailMapper extends BaseMapper<MessageDetail> {

    Boolean addMess(VehicleMessage vehicleMessageVo);

    /**
     * 根据vin 获取报文配置
     * @param vehicleMessageVo
     * @return
     */
    VehicleMessage findByVin(VehicleMessage vehicleMessageVo);

    /**
     * 删除报文【配置
     * @param vehicleMessage
     */
    void deleteMess(VehicleMessage vehicleMessage);

    /**
     * 根据vin进行修改车辆报文配置
     * @param vehicleMessageVo
     * @return
     */
    Boolean updateByVin(VehicleMessage vehicleMessageVo);

    /**
     * 查询所有报文配置
     * @return
     */
    List<VehicleMessage> listVehicleMess();

    /**
     * 根据messageIds  （1,2,3,4,5,）查询
     * @param messageIds
     * @return
     */
    List<MessageDetail> selectByMessageIds(@Param("messageIds") String messageIds);
}
