package com.zhiLian.vehicle.service.impl;

import java.util.List;


import com.zhiLian.common.core.utils.StringUtils;
import com.zhiLian.vehicle.domain.FaultCode;
import com.zhiLian.vehicle.mapper.FaultCodeMapper;
import com.zhiLian.vehicle.service.FaultCodeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 车辆故障码Service业务层处理
 *
 * @author chx
 * @date 2024-06-20
 */
@Slf4j
@Service
public class FaultCodeServiceImpl extends ServiceImpl<FaultCodeMapper, FaultCode>  implements FaultCodeService {

    /**
     * 查询车辆故障码列表
     *
     * @param faultCode 车辆故障码
     * @return 车辆故障码
     */
    @Override
    public List<FaultCode> list(FaultCode faultCode) {
        LambdaQueryWrapper<FaultCode> queryWrapper = new LambdaQueryWrapper<>();


        if (StringUtils.isNotEmpty(faultCode.getFaultCode())){
            queryWrapper.eq(FaultCode::getFaultCode, faultCode.getFaultCode());
        }



        return list(queryWrapper);
    }
}
