package com.zhiLian.vehicle.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiLian.common.core.utils.StringUtils;
import com.zhiLian.vehicle.domain.FaultRecord;
import com.zhiLian.vehicle.domain.req.FaultRecordReqVo;
import com.zhiLian.vehicle.domain.vo.FaultRecordVo;
import com.zhiLian.vehicle.mapper.FaultRecordMapper;
import com.zhiLian.vehicle.service.FaultRecordService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

import java.util.List;

/**
 * 故障记录Service业务层处理
 *
 * @author chx
 * @date 2024-06-20
 */
@Slf4j
@Service
public class FaultRecordServiceImpl extends ServiceImpl<FaultRecordMapper, FaultRecord> implements FaultRecordService {


    @Autowired
    private FaultRecordMapper faultRecordMapper;
    /**
     * 查询故障记录列表
     *
     * @param faultRecord 故障记录
     * @return 故障记录
     */
    @Override
    public List<FaultRecord> list(FaultRecord faultRecord) {
        LambdaQueryWrapper<FaultRecord> queryWrapper = new LambdaQueryWrapper<>();


        if (StringUtils.isNotEmpty(faultRecord.getFaultCode())){
            queryWrapper.eq(FaultRecord::getFaultCode, faultRecord.getFaultCode());
        }

        if (StringUtils.isNotEmpty(faultRecord.getVin())){
            queryWrapper.eq(FaultRecord::getVin, faultRecord.getVin());
        }




        return list(queryWrapper);
    }

    @Override
    public void updateByFaultRecord(FaultRecord build) {
        faultRecordMapper.updateByFaultRecord(build);
    }

    @Override
    public FaultRecord getByFaultRecord(FaultRecord faultRecord) {
        return faultRecordMapper.getByFaultRecord(faultRecord);
    }

    @Override
    public List<FaultRecordVo> countList(FaultRecordReqVo recordReqVo) {
        return faultRecordMapper.countList(recordReqVo);
    }
}
